Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.asn1
Interface ASN1

All Known Implementing Classes:
  ASN1Header

public interface ASN1

Various constants used in ASN.1 notation.

Field Summary
`static int` | `APPLICATION` The ASN.1 application tag class.
`static int` | `BIT_STRING` The universal class tag for the ASN.1 bitstring type.
`static int` | `BMP_STRING`
`static int` | `BOOLEAN` The universal class tag for the ASN.1 boolean type.
`static int` | `CONSTRUCTED`
`static int` | `CONSTRUCTED_DEFINITE` The ASN.1 constructed, definite-length encoding method.
`static int` | `CONSTRUCTED_INDEFINITE` The ASN.1 constructed, indefinite-length encoding method.
`static int` | `CONTEXT_SPECIFIC` The ASN.1 context-specific tag class.
`static int` | `END_OF_CONTENTS`
`static int` | `ENUMERATED` The universal class tag for the ASN.1 enumerated type.
`static int` | `EXTERNAL` The universal class tag for the ASN.1 external type.
`static int` | `GENERAL_STRING`
`static int` | `GENERALIZED_TIME` The universal class tag for the ASN.1 generalized time type.
`static int` | `GRAPHIC_STRING`
`static int` | `IA5STRING`
`static int` | `INTEGER` The universal class tag for the ASN.1 integer type.
`static int` | `ISO646_STRING`
`static int` | `NULL` The universal class tag for the ASN.1 null type.
`static int` | `NUMERIC_STRING`
`static int` | `OBJECT_DESCRIPTOR` The universal class tag for the ASN.1 object descriptor type.
`static int` | `OBJECT_IDENTIFIER` The universal class tag for the ASN.1 object identifier type.
`static int` | `OCTET_STRING` The universal class tag for the ASN.1 octetstring type.
`static int` | `PRIMITIVE` The ASN.1 primitive encoding method.
`static int` | `PRINTABLE_STRING`
`static int` | `PRIVATE` The ASN.1 private tag class.
`static int` | `REAL` The universal class tag for the ASN.1 real type.
`static int` | `SEQUENCE` The universal class tag for the ASN.1 sequence and sequence-of types.
`static int` | `SET` The universal class tag for the ASN.1 set and set-of types.
`static int` | `T61STRING`
`static int` | `TAG`
`static int` | `TAG_CLASS`
`static int` | `TELETEX_STRING`
`static int` | `UNIVERSAL` The ASN.1 universal tag class.
`static int` | `UNIVERSAL_STRING`
`static int` | `UTCTIME` The universal class tag for the ASN.1 universal time type.
`static int` | `UTF8_STRING`
`static int` | `VIDEOTEX_STRING`
`static int` | `VISIBLE_STRING`

Field Detail

### TAG_CLASS

    public static final int TAG_CLASS

  See Also:
    Constant Field Values

### CONSTRUCTED

    public static final int CONSTRUCTED

  See Also:
    Constant Field Values

### TAG

    public static final int TAG

  See Also:
    Constant Field Values

### UNIVERSAL

    public static final int UNIVERSAL

  The ASN.1 universal tag class.
  See Also:
    Constant Field Values

### APPLICATION

    public static final int APPLICATION

  The ASN.1 application tag class.
  See Also:
    Constant Field Values

### CONTEXT_SPECIFIC

    public static final int CONTEXT_SPECIFIC

  The ASN.1 context-specific tag class.
  See Also:
    Constant Field Values

### PRIVATE

    public static final int PRIVATE

  The ASN.1 private tag class.
  See Also:
    Constant Field Values

### END_OF_CONTENTS

    public static final int END_OF_CONTENTS

  See Also:
    Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

  The universal class tag for the ASN.1 boolean type.
  See Also:
    Constant Field Values

### INTEGER

    public static final int INTEGER

  The universal class tag for the ASN.1 integer type.
  See Also:
    Constant Field Values

### BIT_STRING

    public static final int BIT_STRING

  The universal class tag for the ASN.1 bitstring type.
  See Also:
    Constant Field Values

### OCTET_STRING

    public static final int OCTET_STRING

  The universal class tag for the ASN.1 octetstring type.
  See Also:
    Constant Field Values

### NULL

    public static final int NULL

  The universal class tag for the ASN.1 null type.
  See Also:
    Constant Field Values

### OBJECT_IDENTIFIER

    public static final int OBJECT_IDENTIFIER

  The universal class tag for the ASN.1 object identifier type.
  See Also:
    Constant Field Values

### OBJECT_DESCRIPTOR

    public static final int OBJECT_DESCRIPTOR

  The universal class tag for the ASN.1 object descriptor type.
  See Also:
    Constant Field Values

### EXTERNAL

    public static final int EXTERNAL

  The universal class tag for the ASN.1 external type.
  See Also:
    Constant Field Values

### REAL

    public static final int REAL

  The universal class tag for the ASN.1 real type.
  See Also:
    Constant Field Values

### ENUMERATED

    public static final int ENUMERATED

  The universal class tag for the ASN.1 enumerated type.
  See Also:
    Constant Field Values

### SEQUENCE

    public static final int SEQUENCE

  The universal class tag for the ASN.1 sequence and sequence-of types.
  See Also:
    Constant Field Values

### SET

    public static final int SET

  The universal class tag for the ASN.1 set and set-of types.
  See Also:
    Constant Field Values

### NUMERIC_STRING

    public static final int NUMERIC_STRING

  See Also:
    Constant Field Values

### PRINTABLE_STRING

    public static final int PRINTABLE_STRING

  See Also:
    Constant Field Values

### TELETEX_STRING

    public static final int TELETEX_STRING

  See Also:
    Constant Field Values

### T61STRING

    public static final int T61STRING

  See Also:
    Constant Field Values

### VIDEOTEX_STRING

    public static final int VIDEOTEX_STRING

  See Also:
    Constant Field Values

### IA5STRING

    public static final int IA5STRING

  See Also:
    Constant Field Values

### UTCTIME

    public static final int UTCTIME

  The universal class tag for the ASN.1 universal time type.
  See Also:
    Constant Field Values

### GENERALIZED_TIME

    public static final int GENERALIZED_TIME

  The universal class tag for the ASN.1 generalized time type.
  See Also:
    Constant Field Values

### GRAPHIC_STRING

    public static final int GRAPHIC_STRING

  See Also:
    Constant Field Values

### VISIBLE_STRING

    public static final int VISIBLE_STRING

  See Also:
    Constant Field Values

### ISO646_STRING

    public static final int ISO646_STRING

  See Also:
    Constant Field Values

### GENERAL_STRING

    public static final int GENERAL_STRING

  See Also:
    Constant Field Values

### UNIVERSAL_STRING

    public static final int UNIVERSAL_STRING

  See Also:
    Constant Field Values

### BMP_STRING

    public static final int BMP_STRING

  See Also:
    Constant Field Values

### UTF8_STRING

    public static final int UTF8_STRING

  See Also:
    Constant Field Values

### PRIMITIVE

    public static final int PRIMITIVE

  The ASN.1 primitive encoding method.
  See Also:
    Constant Field Values

### CONSTRUCTED_DEFINITE

    public static final int CONSTRUCTED_DEFINITE

  The ASN.1 constructed, definite-length encoding method.
  See Also:
    Constant Field Values

### CONSTRUCTED_INDEFINITE

    public static final int CONSTRUCTED_INDEFINITE

  The ASN.1 constructed, indefinite-length encoding method.
  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.